Module jdk.compiler

# Package com.sun.source.doctree

package com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).

Since:
  1.8
External Specifications
  - Documentation Comment Specification for the Standard Doclet

Class
Description
AttributeTree
A tree node for an attribute in an HTML element or tag.
AttributeTree.ValueKind
The kind of an attribute value.
AuthorTree
A tree node for an `@author` block tag.
BlockTagTree
A tree node used as the base class for the different types of block tags.
CommentTree
An embedded HTML comment.
DeprecatedTree
A tree node for an `@deprecated` block tag.
DocCommentTree
The top-level representation of a documentation comment.
DocRootTree
A tree node for an `@docRoot` inline tag.
DocTree
Common interface for all nodes in a documentation syntax tree.
DocTree.Kind
Enumerates all kinds of trees.
DocTreeVisitor<R,P>
A visitor of trees, in the style of the visitor design pattern.
DocTypeTree
A tree node for a `doctype` declaration.
EndElementTree
A tree node for the end of an HTML element.
EntityTree
A tree node for an HTML entity.
ErroneousTree
A tree node to stand in for malformed text.
EscapeTree
A tree node for a character represented by an escape sequence.
HiddenTree
A tree node for an `@hidden` block tag.
IdentifierTree
An identifier in a documentation comment.
IndexTree
A tree node for an `@index` inline tag.
InheritDocTree
A tree node for an `@inheritDoc` inline tag.
InlineTagTree
A tree node used as the base class for the different types of inline tags.
LinkTree
A tree node for an `@link` or `@linkplain` inline tag.
LiteralTree
A tree node for an `@literal` or `@code` inline tag.
ParamTree
A tree node for an `@param` block tag.
ProvidesTree
A tree node for a `@provides` block tag.
ReferenceTree
A tree node for a reference to a Java language element.
ReturnTree
A tree node for an `@return` block tag.
SeeTree
A tree node for an `@see` block tag.
SerialDataTree
A tree node for an `@serialData` block tag.
SerialFieldTree
A tree node for an `@serialField` block tag.
SerialTree
A tree node for an `@serial` block tag.
SinceTree
A tree node for an `@since` block tag.
SnippetTree
A tree node for an `@snippet` inline tag.
SpecTree
A tree node for an `@spec` block tag.
StartElementTree
A tree node for the start of an HTML element.
SummaryTree
A tree node for an `@summary` inline tag.
SystemPropertyTree
A tree node for an `@systemProperty` inline tag.
TextTree
A tree node for plain text.
ThrowsTree
A tree node for an `@exception` or `@throws` block tag.
UnknownBlockTagTree
A tree node for an unrecognized block tag.
UnknownInlineTagTree
A tree node for an unrecognized inline tag.
UsesTree
A tree node for an `@uses` block tag.
ValueTree
A tree node for an `@value` inline tag.
VersionTree
A tree node for an `@version` block tag.